Triggers - List By Data Box Edge Device
列出设备中配置的所有触发器。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataBoxEdge/dataBoxEdgeDevices/{deviceName}/triggers?api-version=2023-12-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataBoxEdge/dataBoxEdgeDevices/{deviceName}/triggers?api-version=2023-12-01&$filter={$filter}
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
device
|
path | True |
string |
设备名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
|
$filter
|
query |
string |
指定 $filter='CustomContextTag eq <标签>' 以过滤自定义上下文标签属性 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure作已成功完成。 |
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
TriggerGetAllInDevice
示例请求
GET https://management.azure.com/subscriptions/4385cf00-2d3a-425a-832f-f4285b1c9dce/resourceGroups/GroupForEdgeAutomation/providers/Microsoft.DataBoxEdge/dataBoxEdgeDevices/testedgedevice/triggers?api-version=2023-12-01
示例响应
{
"value": [
{
"name": "trigger1",
"type": "dataBoxEdgeDevices/triggers",
"id": "/subscriptions/4385cf00-2d3a-425a-832f-f4285b1c9dce/resourceGroups/GroupForEdgeAutomation/providers/Microsoft.DataBoxEdge/dataBoxEdgeDevices/testedgedevice/triggers/trigger1",
"kind": "FileEvent",
"properties": {
"customContextTag": "CustomContextTags-1235346475",
"sinkInfo": {
"roleId": "/subscriptions/4385cf00-2d3a-425a-832f-f4285b1c9dce/resourceGroups/GroupForEdgeAutomation/providers/Microsoft.DataBoxEdge/dataBoxEdgeDevices/testedgedevice/roles/role1"
},
"sourceInfo": {
"shareId": "/subscriptions/4385cf00-2d3a-425a-832f-f4285b1c9dce/resourceGroups/GroupForEdgeAutomation/providers/Microsoft.DataBoxEdge/dataBoxEdgeDevices/testedgedevice/shares/share1"
}
}
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Cloud |
服务的错误响应。 |
|
Cloud |
服务的错误响应。 |
|
created |
创建资源的标识的类型。 |
|
File |
触发器详细信息。 |
|
File |
文件源详细信息。 |
|
Periodic |
触发器详细信息。 |
|
Periodic |
定期计时器事件源。 |
|
Role |
将对其引发事件的计算角色。 |
|
system |
与创建和上次修改资源相关的元数据。 |
|
Trigger |
触发器类型。 |
|
Trigger |
收集数据箱边缘设备上的所有触发器。 |
CloudError
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误详细信息。 |
CloudErrorBody
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误的标识符。 代码是固定的,旨在以编程方式使用。 |
| details |
有关错误的其他详细信息的列表。 |
|
| message |
string |
描述错误的消息,旨在适合在用户界面中显示。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
FileEventTrigger
触发器详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的完全限定资源 ID。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| kind |
string:
File |
触发器类型。 |
| name |
string |
资源的名称 |
| properties.customContextTag |
string maxLength: 192 |
自定义上下文标记通常用于将触发器与其用法相关联。 例如,如果定期计时器触发器适用于设备中的特定 IoT 模块,则标记可以是模块的名称或图像 URL。 |
| properties.sinkInfo |
角色接收器信息。 |
|
| properties.sourceInfo |
文件事件源详细信息。 |
|
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
FileSourceInfo
文件源详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| shareId |
string |
文件共享 ID。 |
PeriodicTimerEventTrigger
触发器详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的完全限定资源 ID。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| kind |
string:
Periodic |
触发器类型。 |
| name |
string |
资源的名称 |
| properties.customContextTag |
string maxLength: 192 |
自定义上下文标记通常用于将触发器与其用法相关联。 例如,如果定期计时器触发器适用于设备中的特定 IoT 模块,则标记可以是模块的名称或图像 URL。 |
| properties.sinkInfo |
角色接收器信息。 |
|
| properties.sourceInfo |
定期计时器详细信息。 |
|
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
PeriodicTimerSourceInfo
定期计时器事件源。
| 名称 | 类型 | 说明 |
|---|---|---|
| schedule |
string |
需要引发计时器事件的周期性频率。 支持每日、每小时、分钟和秒。 |
| startTime |
string (date-time) |
导致有效触发器的一天时间。 计划是使用对指定最长秒时间的引用计算的。 如果未指定时区,则时间将被视为在设备时区中。 该值将始终作为 UTC 时间返回。 |
| topic |
string |
将定期事件发布到 IoT 设备的主题。 |
RoleSinkInfo
将对其引发事件的计算角色。
| 名称 | 类型 | 说明 |
|---|---|---|
| roleId |
string |
计算角色 ID。 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
TriggerEventType
触发器类型。
| 值 | 说明 |
|---|---|
| FileEvent | |
| PeriodicTimerEvent |
TriggerList
收集数据箱边缘设备上的所有触发器。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string (uri) |
指向下一页项目的链接 |
| value | Trigger[]: |
此页面上的触发器项 |